Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class MapInfo

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.model.MapInfo

    public class MapInfo

extends POIXMLDocumentPart

This class implements the Custom XML Mapping Part (Open Office XML Part 1: chapter 12.3.6) An instance of this part type contains a schema for an XML file, and information on the behavior that is used when allowing this custom XML schema to be mapped into the spreadsheet.

Author:
  Roberto Manicardi

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`MapInfo()`
`MapInfo(PackagePart part, PackageRelationship rel)`

Method Summary
`java.util.Collection` | `getAllXSSFMaps()`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTMapInfo` | `getCTMapInfo()`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSchema` | `getCTSchemaById(java.lang.String schemaId)` Gets the
`XSSFWorkbook` | `getWorkbook()` Returns the parent XSSFWorkbook
`XSSFMap` | `getXSSFMapById(int id)`
`XSSFMap` | `getXSSFMapByName(java.lang.String name)`
`void` | `readFrom(java.io.InputStream is)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, removeRelation, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapInfo

    public MapInfo()

### MapInfo

    public MapInfo(PackagePart part,
                   PackageRelationship rel)
            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getWorkbook

    public XSSFWorkbook getWorkbook()

  Returns the parent XSSFWorkbook

  Returns:
    the parent XSSFWorkbook

### getCTMapInfo

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTMapInfo getCTMapInfo()

  Returns:
    the internal data object

### getCTSchemaById

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSchema getCTSchemaById(java.lang.String schemaId)

  Gets the

  Parameters:
    `schemaId` - the schema ID
  Returns:
    CTSchema by it's ID

### getXSSFMapById

    public XSSFMap getXSSFMapById(int id)

### getXSSFMapByName

    public XSSFMap getXSSFMapByName(java.lang.String name)

### getAllXSSFMaps

    public java.util.Collection getAllXSSFMaps()

  Returns:
    all the mappings configured in this document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD